Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • AutoCollec API
    • Example Workflow
    • Batches
      • GetBatchById
        GET
      • GetBatchesByOrganization
        GET
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Collections
      • AcceptDebtCollectionList
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • RejectDebtCollectionList
      • WithdrawCase
      • PauseCase
      • ResumeCase
      • WithdrawCase
      • ResumeCase
    • Settlement
      • GetSettlement on Id
      • GetSettlements
      • GetSettlements
      • GetSettlement on Id
  • AutoCollect API (Legacy)
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches

GetBatchById

GET
/batches/{batchId}
Endpoints for batch management operations

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200OK
application/json
OK
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/batches/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "summary": {
        "status": "SUCCESS"
    },
    "data": {
        "batchId": "ae257e86-dc53-4865-9c97-5b125a3a5ac2",
        "type": "INVOICE",
        "status": "SUCCESS",
        "createdAt": "2025-03-09T14:30:00Z",
        "finishedAt": "2025-03-09T14:30:05Z",
        "organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "createdBy": "8a1b2c3d-4e5f-6789-abcd-ef0123456789",
        "succeeded": [
            {
                "invoiceId": "cfa69f56-2faf-4a1f-a011-1980d4e385b0",
                "invoiceNumber": "INV-2025-001",
                "caseNumber": "178452"
            }
        ],
        "failed": []
    }
}
Modified at 2026-03-13 13:33:49
Previous
Example Workflow
Next
GetBatchesByOrganization
Built with